Subject: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Drew Adams <[email-masked]>
Date: Tue, 4 Dec 2018 12:46:51 -0800 (PST)

> -----Original Message-----
> From: Drew Adams
> Sent: Tuesday, December 4, 2018 6:46 AM
> To: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Subject: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll
> point off screen temporarily
> 
> > > But I don't really need to understand.  I reviewed
> > > what you wrote about that only because you included
> > > it in a reply to this (other) bug report.  Ignore my
> > > feedback about `*-allow-shift-selection' if you like
> > > - no problem.
> >
> > Thank you for your feedback, all your remarks were
> > taken into consideration, committed to master, and
> > this enhancement request closed.
> 
> I'm amazed by this, Juri.  You introduced stuff
> into this bug thread that is about another bug
> entirely (`*-allow-shift-selection').
> 
> I replied to your feedback about this bug, point by
> point.  And, hoping to help, I also provided some
> feedback about that other, unrelated bug.
> 
> What you quote above is about that _other_ bug, not
> this one.  I said that you can, if you like, ignore
> my feedback about `*-allow-shift-selection'.  That
> bug is not something I'm really concerned about -
> my feedback about it was just trying to be helpful.
> 
> As for this bug, I made clear that all that it
> calls for does not yet seem to be provided by
> your proposed changes.
> 
> Yet you reply (only) to my comment that you can
> ignore my feedback about `*-allow-shift-selection',
> to say that you have therefore closed _this_ bug.
> 
> I'm amazed - unless you did this accidentally,
> confusing the two bugs and meaning to close the
> other bug instead.
> 
> If you really intended to close this bug, please
> say how "all [my] remarks were taken into
> consideration" and how this enhancement request
> has been entirely fulfilled.  That's not clear
> to me.
> 
> From my point of view, it seems like you've made
> changes to fix other bugs that incidentally make
> progress toward also realizing the enhancement
> requested by this bug.  That's all good.
> 
> But I don't see that this enhancement has been
> realized.  I addressed this in specific ways,
> none of which you've responded to in this
> closure message.

Apologies, as I seem to have misunderstood.  I thought
that you were just saying that what you had come up
with last time is what you installed.

Regarding that, this is what I thought was unfinished:

>> No, this is not the case.  This is very difficult
>> to implement, and not worth the effort because this feature
>> is already available by customizing lazy-highlight-buffer.
>
> I see.  That disappoints me.  We have lazy
> highlighting but we can't use it lazily, except for
> the original design of being limited to a windowful?
>
> Can't we "just" let scrolling move the "window limits"
> as you scroll?  (Yes, I'm making this up, without
> looking at the code.)
>
> This highlight-as-you-go should really be considered
> part of this enhancement request, IMO.  And I mentioned
> it as such.  But if you don't want to tackle that part
> initially, or if indeed it ends up being too complex in
> the end, then so be it, for now.

I thought what you installed still included that telling
users that to ensure they get lazy highlighting everywhere
they scroll they may need to customize `lazy-highlight-buffer.

As you didn't say anything different I assumed that the
"very difficult to implement, and not worth the effort"
was what was reflected in what you installed.

I've now tried what you ended up installing, and I see
that that's not the case (and that you removed the advice
that you might need to set `lazy-highlight-buffer' to t
to see highlighting when scrolling).

What you installed does indeed seem to implement this
enhancement.  Thank you for that, and sorry for not
understanding and reacting negatively.